API ReferenceApplications
POST
/{ssoAppId}/oauth2/v1/device

Path Parameters

ssoAppId*string

Request Body

application/json

ssoAppId?string
Lengthlength <= 100
client_id*string
Length1 <= length <= 200
scope?string
Lengthlength <= 10000
audience?string
Lengthlength <= 1000
project_id?string
dpop_jkt?string
Lengthlength <= 1000
authorization_details?string
Lengthlength <= 8192
client_secret?string
Lengthlength <= 1000
client_assertion_type?string
Lengthlength <= 200
client_assertion?string
Lengthlength <= 10000
login_hint?string
Lengthlength <= 1000

OIDC device endpoint (sso app)

curl -X POST "https://api.descope.com/string/oauth2/v1/device" \  -H "Content-Type: application/json" \  -d '{    "client_id": "string"  }'
{  "device_code": "string",  "user_code": "string",  "verification_uri": "string",  "verification_uri_complete": "string",  "expires_in": 0,  "interval": 0}
export interface Response {device_code?: stringuser_code?: stringverification_uri?: stringverification_uri_complete?: stringexpires_in?: numberinterval?: number}
Was this helpful?